// Importing the json libraries 
import { geoPath } from 'd3';

// calling the geoAlbersUsaTerritories method
const projection = geoAlbersUsaTerritories.geoAlbersUsaTerritories();
const path = geoPath(projection);

// creates the feature of the country map
export const Marks = ({ data: { land, interiors } }) => (
  <g className="marks">
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);
